# Method: freelistingsprogram.checkoutsettings.insert

- [HTTP request](https://developers.google.com/shopping-content/reference/rest/v2.1/freelistingsprogram.checkoutsettings/insert#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/shopping-content/reference/rest/v2.1/freelistingsprogram.checkoutsettings/insert#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/shopping-content/reference/rest/v2.1/freelistingsprogram.checkoutsettings/insert#body.request_body)
  - [JSON representation](https://developers.google.com/shopping-content/reference/rest/v2.1/freelistingsprogram.checkoutsettings/insert#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/shopping-content/reference/rest/v2.1/freelistingsprogram.checkoutsettings/insert#body.response_body)
- [Authorization scopes](https://developers.google.com/shopping-content/reference/rest/v2.1/freelistingsprogram.checkoutsettings/insert#body.aspect)
- [Try it!](https://developers.google.com/shopping-content/reference/rest/v2.1/freelistingsprogram.checkoutsettings/insert#try-it)

Enrolls merchant in `Checkout` program.

### HTTP request

`POST https://shoppingcontent.googleapis.com/content/v2.1/{merchantId}/freelistingsprogram/checkoutsettings`

### Path parameters

| Parameters ||
|---|---|
| `merchantId` | `string (https://developers.google.com/discovery/v1/type-format format)` Required. The ID of the account. |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "uriSettings": { object (`https://developers.google.com/shopping-content/reference/rest/v2.1/UrlSettings`) } } ``` |

| Fields ||
|---|---|
| `uriSettings` | ``object (`https://developers.google.com/shopping-content/reference/rest/v2.1/UrlSettings`)`` Required. The `UrlSettings` for the request. The presence of URL settings indicates `Checkout` enrollment. |

### Response body

If successful, the response body contains a newly created instance of `https://developers.google.com/shopping-content/reference/rest/v2.1/CheckoutSettings`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/content`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).